org.codehaus.plexus.component.configurator.expression

## Class ExpressionEvaluationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.configurator.expression.ExpressionEvaluationException

All Implemented Interfaces:
  Serializable

    public class ExpressionEvaluationException
    extends Exception

Exception that occurs during the evaluation of an expression.

Version:
  $Id: ExpressionEvaluationException.java 1708 2005-04-15 04:47:38Z brett $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExpressionEvaluationException(String message)`
`ExpressionEvaluationException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpressionEvaluationException

    public ExpressionEvaluationException(String message)

#### ExpressionEvaluationException

    public ExpressionEvaluationException(String message,
                                 Throwable cause)